:root {
    --bg-color: #0d0f12;
    --text-main-color: #e2e8f0;
	--text-second-color: #cbd5e0;
	--text-white-color: #fff;
	--primary-color: #ff0000;
	--text-size: 1.4rem;
	--text-size-two: 1.8rem;
	--text-size-min: 1.2rem;
	--card-bg: rgba(26, 32, 44, 0.7);
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    -webkit-tap-highlight-color: transparent;
}

h1,
h2,
h3 {
	font-size: 2.4rem;
}

p,
li {
	font-size: var(--text-size);
}

li {
	margin-bottom: 1rem;
    margin-left: 2rem;
}

button {
	cursor: pointer;
}

body {
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	gap: 3.5rem;
	min-height: 100vh;
    background-color: var(--bg-color);
    color: var(--text-white-color);;
    font-family: "Inter", sans-serif;
    font-style: normal;
}

.navbar {
	display: flex;
    justify-content: space-between;
	align-items: center;
	padding: 20px 5%;
	position: fixed;
    top: 0;
    left: 0;
	background: rgba(13, 15, 18, 0.8);
    backdrop-filter: blur(10px);
	width: 100%;
	z-index: 1001;
}

.mobile-menu {
	display: none;
}

.nav-logo {
	max-width: 200px;
}

.nav-logo img {
	width: 100%;
}

.nav-right {
    display: flex;
    align-items: center;
    gap: 1.5rem;
}

.nav-right a {
    font-size: var(--text-size-min);
	color: var(--text-second-color);
	text-decoration: none;
}

.nav-right a:hover {
	color: var(--text-main-color);
}

.cart-button,
.cart-button-mob {
    position: relative;
	width: 30px;
	height: 30px;
    border: none;
    background: none;
    color: var(--primary-color);
}

main {
    display: flex;
    flex-direction: column;
    gap: 5rem;
    padding-top: var(--nav-height, 70px);
    margin: 2rem 2.5rem 0 2.5rem;
}

.product-card {
    display: flex;
	gap: 3rem;
	align-items: flex-start;
}

.slider-container {
    max-width: 50%;
    max-height: 120vh;
    position: sticky;
    top: var(--nav-height, 100px);
}

.slider {
    position: relative;
    width: 100%;
    height: 70%;
    overflow: hidden;
    border-radius: 2rem;
}

.slides {
    display: flex;
    width: 100%;
    height: 100%;
    transition: transform 0.5s ease-in-out;
}

.slide {
    min-width: 100%;
    height: 100%;
}

.slide img {
    width: 100%;
    max-height: 550px;
    object-fit: cover;
}

.prev, .next {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
    user-select: none;
    border-radius: 100%;
    z-index: 10;
}

.prev {
    left: 10px;
}

.next {
    right: 10px;
}

.thumbnails {
    display: flex;
    justify-content: center;
    margin-top: 0.8rem;
    gap: 0.5rem;
    flex-wrap: wrap;
}

.thumb {
    width: 40px;
    height: 40px;
    object-fit: cover;
    cursor: pointer;
    opacity: 0.6;
    transition: opacity 0.3s, transform 0.3s;
    border-radius: 0.5rem;
    border: 2px solid transparent;
}

.thumb.active {
    opacity: 1;
    transform: scale(1.1);
    border: 2px solid white;
}

.dots {
    text-align: center;
    margin-top: 10px;
}

.dot {
    display: inline-block;
    width: 10px;
    height: 10px;
    background-color: rgb(199 217 255 / 20%);
    border-radius: 50%;
    margin: 0 5px;
    cursor: pointer;
}

.dot.active {
    background-color: var(--card-bg);
}

.product-description {
	display: flex;
	flex-direction: column;
    width: 50%;
    gap: 2rem;
}

.label {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.label div {
    font-size: 0.8rem;
    padding: 0.4rem 0.8rem;
    border-radius: 999px;
    text-align: center;
}

.label div:first-child {
    background-color: rgb(100%, 84.3%, 0%);
    color: #000000;
}

.label div:last-child {
    background-color: var(--primary-color);
    color: #ffffff;
}

.product-buy {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}

.product-price {
    display: flex;
    align-items: flex-end;
    gap: 1rem;
}

.product-price span {
    font-size: var(--text-size-two);
    font-weight: 600;
}

.product-price span:last-child {
    font-size: var(--text-size-min);
    font-weight: 700;
    text-decoration-line: line-through;
    text-decoration-style: solid;
    text-decoration-color: var(--primary-color);
    text-decoration-thickness: 1.5px;
}

.buy-buttons {
    display: flex;
    justify-content: space-between;
    gap: 1rem;
}

.buy-button,
.buy-button-cart {
    font-size: var(--text-size-min);
    font-weight: 600;
    background: var(--primary-color);
    color: var(--text-white-color);
    border: none;
    border-radius: 0.5rem;
    padding: 10px 15px;
}

.buy-button {
    width: 90%;
}

.delivery-and-payment {
    display: flex;
    justify-content: space-between;
    gap: 4%;
    margin-top: -0.8rem;
}

.delivery-and-payment button {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 10px 15px;
    gap: 0.5rem;
    font-size: var(--text-size-min);
    font-weight: 500;
    border: none;
    border-radius: 0.5rem;
    background: var(--card-bg);
    color: rgb(199 217 255 / 20%);
    width: 48%;
}

.delivery-and-payment button svg {
    width: 20px;
    height: 20px;
}

.game-description {
    display: flex;
    flex-direction: column;
    gap: 3rem;
}

.what-kind-of-game {
    display: flex;
    flex-direction: column;
    gap: 3rem;
}

.what-kind-of-game-cards {
    display: flex;
    justify-content: space-between;
}

.what-kind-of-game-cards div {
    position: relative;
    width: 31%;
    flex: none;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    padding: 1.5rem;
    border-radius: 1rem;
    background: linear-gradient(149deg, #161a24 0%, #210e17 96%);
    min-height: 340px;
    position: relative;
}

.what-kind-of-game-cards div p:first-child {
    font-weight: 700;
    font-size: var(--text-size-two);
}

.what-kind-of-game-cards div svg {
    bottom: 20px;
    right: 20px;
    position: absolute;
    opacity: 0.75;
}

.game-features {
    display: flex;
    flex-direction: column;
    gap: 3rem;
}

.game-features-cards {
    display: flex;
    gap: 4%;
}

.game-features-card-1 {
    border-radius: 1rem;
    background: var(--card-bg);
    padding: 3rem 1.5rem;
    width: 48%;
    flex: none;
    display: flex;
    flex-direction: column;
    gap: 0.8rem;
}

.game-features-card-1 p {
    padding: 0.8rem 0;
    border-bottom: 1px solid rgba(255, 255, 255, 0.05);
}

.game-features-card-1 p:first-child {
    border-bottom: unset;
    font-size: var(--text-size-two);
    font-weight: 600;
}

.game-features-card-1 p:last-child {
    border-bottom: unset;
}

.game-features-card-2 {
    border-radius: 1rem;
    background: var(--card-bg);
    padding: 3rem 1.5rem;
    width: 48%;
    flex: none;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 0.8rem;
}

.game-features-card-2-div {
    width: 48%;
    flex: none;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 0.8rem;
    padding: 1rem;
    border-radius: 0.5rem;
    background: rgba(255, 255, 255, 0.03);
}

.game-features-card-2-div-icon {
    font-size: 2rem;
}

.game-features-card-2-div div p:first-child {
    font-weight: 600;
}

.how-it-works {
    display: flex;
    flex-direction: column;
    gap: 3rem;
}

.how-it-works-cubes {
    display: flex;
    justify-content: space-between;
    gap: 1rem;
}

.how-it-works-cubes div {
    width: 23%;
    flex: none;
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
    border-radius: 0.8rem;
    background: rgb(180 184 204 / 10%);
    padding: 2.5rem 1.5rem;
    overflow: hidden;
    position: relative;
}

.how-it-works-cubes div p:first-child {
    font-weight: 600;
}

.how-it-works-cubes div svg {
    height: 200px;
    width: 200px;
    opacity: 0.1;
    position: absolute;
    right: -50px;
    bottom: -35px;
}

.handling-objections {
    display: flex;
    justify-content: space-between;
    gap: 4%;
}

.who-is-this-game,
.why-digital {
    border-radius: 1rem;
    background: var(--card-bg);
    padding: 3rem 1.5rem;
    width: 48%;
    flex: none;
    display: flex;
    flex-direction: column;
    gap: 0.8rem;
}

.who-is-this-game p:first-child,
.why-digital p:first-child {
    font-size: var(--text-size-two);
    font-weight: 600;
    margin-bottom: 1.2rem;
}

.why-digital-cubes {
    display: flex;
    flex-wrap: wrap;
    gap: 4%;
}

.why-digital-cubes div {
    width: 48%;
    flex: none;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    gap: 0.8rem;
    padding: 1rem;
    border-radius: 0.5rem;
    background: rgba(255, 255, 255, 0.03);
}

.why-digital-cubes div p:first-child {
    margin-bottom: 0;
    font-size: var(--text-size-min);
}

.why-digital-cubes div p:last-child {
    font-size: var(--text-size-min);
}

.game-reviews {
    display: flex;
    flex-direction: column;
    max-width: 100%;
    gap: 2rem;
}

.title-reviews {
	display: flex;
    align-items: center;
    justify-content: space-between;
}

.title-reviews p {
    font-size: var(--text-size-two);
}

.cards-reviews {
	display: flex;
    gap: 2rem;
    overflow-x: auto;
    scroll-snap-type: x mandatory;
    scrollbar-color: #b4b8cc1a #0d0f12;
	padding-bottom: 2rem;
}

.card-reviews {
	flex: 0 0 400px;
	display: flex;
    flex-direction: column;
	background: rgb(180 184 204 / 10%);
	border-radius: 1rem;
	gap: 1rem;
	padding: 1.5rem;	
}

.top-of-review {
	display: flex;
	align-items: center;
	gap: 1rem;
}

.top-of-review-img {
	display: flex;
	align-items: center;
	justify-content: center;
	font-size: 1.2rem;
	font-weight: 700;
	width: 30px;
	height: 30px;
	border-radius: 50%;
	padding: 0.8rem;
}

.top-of-review-user-name {
	font-weight: 600;
}

.top-of-review-user-date {
	color: rgb(180 184 204 / 30%);
}

.card-reviews-stars {
	width: 30%;
}

.final-cta {
    display: flex;
    flex-direction: column;
}

.final-cta div {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1.5rem;
    padding: 4rem 2rem;
    border-radius: 1rem;
    background: linear-gradient(149deg, #161a24 0%, #210e17 96%);
    position: relative;
    overflow: hidden;
}

.final-cta div button {
    font-size: var(--text-size);
    font-weight: 600;
    background: var(--primary-color);
    color: var(--text-white-color);
    border: none;
    border-radius: 0.5rem;
    padding: 10px 15px;
    width: 40%;
    z-index: 2;
}

.final-cta div h3 {
    width: 70%;
    text-align: center;
    z-index: 2;
}

.final-cta div p {
    width: 50%;
    text-align: center;
    font-size: var(--text-size-min);
    color: rgb(180 184 204 / 30%);
    z-index: 2;
}

.final-cta div svg {
    transform: rotate(55deg);
    right: -60px;
    top: 0;
    position: absolute;
    opacity: 0.2;
    height: 520px;
    width: 520px;
    z-index: 1;
}

footer {
	border-top: 1px solid rgb(180 184 204 / 10%);
}

.footer_top {
	margin: 2rem 3rem
}

.footer-logo {
	display: flex;
    width: 200px;
	height: 64px;
	opacity: 0.2;
	filter: grayscale(100%);
}

.footer-logo img {
	width: 100%;
}

.footer_bottom {
    display: flex;
    justify-content: space-between;
    padding: 1rem 1.5rem;
    background: #000000;
	color: #fff;
    margin-top: 2.5rem;
}

.footer_bottom p {
	font-size: 0.8rem;
	opacity: 0.5;
}

.footer_top {
	display: flex;
    justify-content: space-between;
}

.subscribe {
	width: 45%;
    display: flex;
    flex-direction: column;
	gap: 1rem;
	padding: 2rem;
	background: rgb(180 184 204 / 10%);
	border-radius: 1rem;
}

.subscribe input[type="text"] {
    font-weight: 400;
    padding: 1rem;
    border: none;
    border-radius: 1rem;
    color: #505050;
    font-size: 1rem;
    background: #ffffff;
}

.subscribe p:first-child {
    font-weight: 700;
    font-size: var(--text-size-two);
    color: var(--text-white-color);
}

.subscribe button {
    font-size: var(--text-size);
    background: var(--primary-color);
    color: var(--text-white-color);
    border: none;
    border-radius: 0.5rem;
    padding: 10px 15px;
	text-align: center;
}

@media (max-width: 500px) {
	h1 {
		font-size: 2.2rem;
	}
	
	h2,
	h3 {
	    font-size: var(--text-size-two);
	}
	
	p {
	  font-size: var(--text-size);
	}
	
	.nav-logo {
		max-width: 125px;
	}
	
	main {
        margin: 2rem 1.5rem 0 1.5rem;
    }
    
    .product-card {
        flex-direction: column;
    }
    
    .slider-container {
        max-width: 100%;
        max-height: unset;
        position: relative;
        top: unset;
    }
    
    .slider {
        border-radius: 1.2rem;
    }
    
    .product-description {
        width: 100%;
    }
    
    .what-kind-of-game-cards,
    .game-features-cards, 
    .how-it-works-cubes,
    .handling-objections {
        flex-direction: column;
        gap: 2rem;
    }
    
    .what-kind-of-game-cards div,
    .game-features-card-1,
    .game-features-card-2,
    .game-features-card-2-div,
    .how-it-works-cubes div,
    .who-is-this-game,
    .why-digital,
    .why-digital-cubes div,
    .final-cta div h3,
    .final-cta div button,
    .final-cta div p {
        width: 100%;
    }
    
    .why-digital-cubes {
        flex-direction: column;
        gap: 1rem;
    }
    
    .what-kind-of-game-cards div p:first-child,
    .game-features-card-1 p:first-child,
    .title-reviews p {
        font-size: var(--text-size);
    }
    
    .title-reviews {
        flex-direction: column;
        align-items: flex-start;
        gap: 0.5rem;
    }
    
    .card-reviews {
        flex: 0 0 320px;
    }
    
    .card-reviews-feedback,
    .top-of-review-user-name,
    .top-of-review-user-date {
        font-size: var(--text-size-min);
    }
    
    .final-cta div svg {
        height: 320px;
        width: 320px;
        right: -80px;
        bottom: -50px;
        top: unset;
    }
	
	.footer_top {
		flex-direction: column;
		gap: 4rem;
		margin: 2rem 1rem;
	}
	
	.subscribe {
		width: 100%;
	}
}

@media screen and (min-width: 500px) and (max-width: 768px) {
    h3 {
        font-size: var(--text-size-two);
    }
    
    main {
        margin: 2rem 2rem 0 2rem;
    }
    
    .product-card {
        flex-direction: column;
    }
    
    .slider-container {
        max-width: 100%;
        max-height: unset;
        position: relative;
        top: unset;
    }
    
    .slider {
        border-radius: 1.2rem;
    }
    
    .product-description {
        width: 100%;
    }
    
    .what-kind-of-game-cards,
    .game-features-cards, 
    .how-it-works-cubes,
    .handling-objections {
        flex-direction: column;
        gap: 2rem;
    }
    
    .what-kind-of-game-cards div,
    .game-features-card-1,
    .game-features-card-2,
    .game-features-card-2-div,
    .how-it-works-cubes div,
    .who-is-this-game,
    .why-digital,
    .why-digital-cubes div,
    .final-cta div h3,
    .final-cta div button,
    .final-cta div p {
        width: 100%;
    }
    
    .how-it-works-cubes div {
        min-height: 220px;
    }
    
    .why-digital-cubes {
        flex-direction: column;
        gap: 1rem;
    }
    
    .game-features-card-1 p:first-child,
    .title-reviews p {
        font-size: var(--text-size);
    }
    
    .title-reviews {
        flex-direction: column;
        align-items: flex-start;
        gap: 0.5rem;
    }
    
    .card-reviews {
        flex: 0 0 320px;
    }
    
    .card-reviews-feedback,
    .top-of-review-user-name,
    .top-of-review-user-date {
        font-size: var(--text-size-min);
    }
    
    .final-cta div svg {
        height: 320px;
        width: 320px;
        right: -80px;
        bottom: -50px;
        top: unset;
    }
	
	.footer_top {
		flex-direction: column;
		gap: 4rem;
		margin: 2rem 1rem;
	}
	
	.subscribe {
		width: 80%;
	}
}

@media screen and (min-width: 768px) and (max-width: 980px) {
    h3 {
        font-size: var(--text-size-two);
    }
    
    main {
        margin: 2rem 2rem 0 2rem;
    }
    
    .product-card {
        flex-direction: column;
    }
    
    .slider-container {
        max-width: 100%;
        max-height: unset;
        position: relative;
        top: unset;
    }
    
    .slider {
        border-radius: 1.2rem;
    }
    
    .product-description {
        width: 100%;
    }
    
    .what-kind-of-game-cards,
    .game-features-cards, 
    .handling-objections {
        flex-direction: column;
        gap: 2rem;
    }
    
    .what-kind-of-game-cards div,
    .game-features-card-1,
    .game-features-card-2,
    .who-is-this-game,
    .why-digital,
    .why-digital-cubes div,
    .final-cta div h3,
    .final-cta div button,
    .final-cta div p {
        width: 100%;
    }
    
    .how-it-works-cubes div,
    .what-kind-of-game-cards div {
        min-height: 240px;
    }
    
    .why-digital-cubes {
        flex-direction: column;
        gap: 1rem;
    }
    
    .how-it-works-cubes {
        flex-wrap: wrap;
        justify-content: center;
        gap: 0.6rem;
    }
    
    .how-it-works-cubes div,
    .game-features-card-2-div {
        width: 49%;
    }
    
    .title-reviews {
        flex-direction: column;
        align-items: flex-start;
        gap: 0.5rem;
    }
    
    .card-reviews {
        flex: 0 0 320px;
    }
    
    .card-reviews-feedback,
    .top-of-review-user-name,
    .top-of-review-user-date {
        font-size: var(--text-size-min);
    }
    
    .final-cta div svg {
        height: 320px;
        width: 320px;
        right: -80px;
        bottom: -50px;
        top: unset;
    }
    
	.subscribe {
		width: 60%;
	}
}

@media (min-width: 980px) {
    .game-features-card-2-div p {
        word-break: break-all;
    }
}

.modal {
    display: none;
    position: fixed;
    z-index: 1002;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    backdrop-filter: blur(10px);
    justify-content: center;
    align-items: center;
}

.modal-close {
    position: absolute;
    top: 10px; right: 15px;
    font-size: 3rem;
    cursor: pointer;
    color: var(--primary-color);
}

.modal-content {
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
    background: var(--bg-color);
    padding: 3rem 2rem;
    border-radius: 1rem;
    max-width: 80%;
    width: 70%;
    position: relative;
    overflow-y: auto;
    max-height: 80vh;
}

.modal-content-text-delivery,
.modal-content-text-payment {
	display: none;
	flex-direction: column;
	gap: 1.5rem;
	min-height: 95%;
    scroll-snap-align: start;
}

.modal-content-text-delivery h3,
.modal-content-text-payment h3 {
	font-size: var(--text-size-two);
	max-width: 80%;
}

.modal-content-text-delivery p,
.modal-content-text-delivery li,
.modal-content-text-payment p,
.modal-content-text-payment li {
	font-size: var(--text-size);
}

@media (max-width: 600px) {
	.modal-content {
		padding: 2rem 1rem;
		width: 85%;
		max-width: 95%;	
		max-height: 80vh;
	}
	
	.modal-content-text-delivery p:last-child,
    .modal-content-text-payment p:last-child {
	    padding-bottom: 2rem;
    }
}

@media (max-height: 570px) {
	.modal-content {
		padding: 2rem 1rem;
		width: 85%;
		max-width: 95%;	
		max-height: 80vh;
	}
	
	.modal-content-text-delivery p:last-child,
    .modal-content-text-payment p:last-child {
	    padding-bottom: 2rem;
    }
}

.fs-modal {
    display: none;
    position: fixed;
    z-index: 1002;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.95);
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.fs-modal.active {
    display: flex;
}

.fs-close {
    position: absolute;
    top: 20px;
    right: 30px;
    color: white;
    font-size: 50px;
    cursor: pointer;
    z-index: 1003;
    user-select: none;
}

.fs-slider {
    position: relative;
    width: 90vw;
    max-width: 1200px;
    height: 80vh;
    overflow: hidden;
    border-radius: 10px;
}

.fs-slides {
    display: flex;
    width: 100%;
    height: 100%;
    transition: transform 0.5s ease-in-out;
}

.fs-slide {
    min-width: 100%;
    height: 100%;
}

.fs-slide img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    background-color: black;
}

.fs-prev,
.fs-next {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
    user-select: none;
    border-radius: 50%;
    z-index: 1003;
}

.fs-prev {
    left: 10px;
}
.fs-next {
    right: 10px;
}

.fs-thumbnails {
    display: flex;
    justify-content: center;
    margin-top: 20px;
    gap: 10px;
    flex-wrap: wrap;
    max-width: 90vw;
    padding: 0 20px;
}

.fs-thumb {
    width: 50px;
    height: 50px;
    object-fit: cover;
    cursor: pointer;
    opacity: 0.6;
    border: 2px solid transparent;
    border-radius: 5px;
    transition: all 0.3s;
}

.fs-thumb.active {
    opacity: 1;
    border-color: white;
    transform: scale(1.1);
}